Package mvpa :: Package featsel :: Module base :: Class CombinedFeatureSelection

[hide private]
[frames] | no frames]

# Class CombinedFeatureSelection

source code

Meta feature selection utilizing several embedded selection methods.

Each embedded feature selection method is computed individually. Afterwards all feature sets are combined by either taking the union or intersection of all sets.

The individual feature sets of all embedded methods are optionally avialable from the selections_ids state variable.

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, feature_selections, combiner, **kwargs) x.__init__(...) initializes x; see help(type(x)) for signature | source code

untrain(self) 'Untrain' feature selection | source code

__call__(self, dataset, testdataset=None) Really run it. | source code

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| selections_ids = `StateVariable(doc= "List of feature id sets f`...``
| feature_selections = `property(fget= lambda self: self.__featur`...``
| combiner = `property(fget= lambda self: self.__combiner, doc= "`...``
Inherited from `FeatureSelection`: `selected_ids` Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, feature_selections, combiner, **kwargs)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `feature_selections`, `list` - FeatureSelection instances to run. Order is not important.
  - `combiner`, `'union'`, `'intersection'` - which method to be used to combine the feature selection set of all computed methods.
Overrides: object.__init__

### untrain(self)

source code

'Untrain' feature selection

Necessary for full 'untraining' of the classifiers. By default does nothing, needs to be overridden in corresponding feature selections to pass to the sensitivities

Overrides: FeatureSelection.untrain
  (inherited documentation)

### __call__(self, dataset, testdataset=None)
(Call operator)

source code

Really run it.

Parameters:
  - `dataset` - dataset used to select features
  - `testdataset` - dataset the might be used to compute a stopping criterion
Overrides: FeatureSelection.__call__

Class Variable Details | [hide private]

### selections_ids

Value:

      StateVariable(doc= "List of feature id sets for each performed method.
      ")

### feature_selections

Value:

      property(fget= lambda self: self.__feature_selections, doc= "List of `
      FeatureSelections`")

### combiner

Value:

      property(fget= lambda self: self.__combiner, doc= "Selection set combi
      nation method.")